10 CLS:PRINT:PRINT:PRINT
20 INPUT"              Desired operating frequency (MHz): ";F1
30 PRINT:INPUT"      Estimate the velocity factor of the transmission line";V
40 PRINT;"            Cut an electrical half wavelength sample."
50 L1=(V*491.78)/(F1) :REM ****** (equation c1) ******
60 PRINT:
70 PRINT;"        Cut sample length to:";L1;" ft. (";L1*12;" in.)"
80 PRINT:PRINT
90 INPUT"              Frequency (MHz) where VSWR is lowest: ";F2
100 CLS:PRINT:PRINT
105 REM ****** Lines 110 - 180 represent equation C2 in Appendix C ******
110 REM:Compute new velocity factor estimate based on VSWR measurement result
120 V=L1*F2/491.78
130 PRINT"                 Current velocity factor estimate:";V
140 PRINT
150 REM:Compute new sample length based on new velocity factor estimate
160 L2=491.78*V/F1
170 REM: **** Compute length change required for desired frequency sample
180 DL=L2-L1
190 PRINT"      Adjusted length of";F1;" MHz. sample:";
195 PRINT L2;" ft. (";L2*12;" in.)"
200 PRINT:PRINT:PRINT
210 PRINT"          Does the VSWR at ";F2;" MHz equal that of the dummy load";
220  INPUT A$
230  IF A$="Y" OR A$="Yes" OR A$="y" OR A$="yes" THEN 300
240 PRINT:PRINT
250 IF DL <=0 THEN PRINT"        Reduce the stub length by ";ABS(DL);" feet.";
260 IF DL <=0 THEN PRINT"  (";ABS(DL*12);" inches.)":PRINT:PRINT:PRINT
270 IF DL>0 THEN PRINT" Increase the stub length length by ";(DL);" feet.";
280 IF DL>0 THEN PRINT"  (";(DL*12);" inches.)":PRINT:PRINT:PRINT
290  PRINT:PRINT:L1=L2:GOTO 90
300 CLS:PRINT:PRINT:INPUT"         Measured physical length (inches)";L:L=L/12
305 REM: ****** Line 310 represents equation C3 in Appendix C ******
310 CLS:PRINT: PRINT: PRINT,"The velocity factor is: ";L*F2/491.78
320 END
